explain_utimensat_or_die(3)

NAME
explain_utimensat_or_die - change file timestamps and report errors
    "change file timestamps with nanosecond precision and report errors"

SYNOPSIS
#include <libexplain/utimensat.h>

void explain_utimensat_or_die(int fildes, const char *pathname, const struct timespec *data, int flags);
int explain_utimensat_on_error(int fildes, const char *pathname, const struct timespec *data, int flags);

DESCRIPTION
The explain_utimensat_or_die function is used to call the utimensat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_utimensat(3) function, and then the process terminates by calling exit(EXIT_FAILURE).

The explain_utimensat_on_error function is used to call the utimensat(2) system call. On failure an explanation will be printed to stderr, obtained from the explain_utimensat(3) function, but still returns to the caller.

fildes
    The fildes, exactly as to be passed to the utimensat(2) system call.

pathname
    The pathname, exactly as to be passed to the utimensat(2) system call.

data
    The data, exactly as to be passed to the utimensat(2) system call.

flags
    The flags, exactly as to be passed to the utimensat(2) system call.

RETURN VALUE
The explain_utimensat_or_die function only returns on success, see utimensat(2) for more information. On failure, prints an explanation and exits, it does not return.

The explain_utimensat_on_error function always returns the value return by the wrapped utimensat(2) system call.

EXAMPLE
The explain_utimensat_or_die function is intended to be used in a fashion similar to the following example:
    explain_utimensat_or_die(fildes, pathname, data, flags);

SEE ALSO

utimensat(2)
    change file timestamps with nanosecond precision

explain_utimensat(3)
    explain utimensat(2) errors

exit(2)
    terminate the calling process

COPYRIGHT
libexplain version 1.4
Copyright (C) 2012 Peter Miller